import numpy as np
from sklearn.model_selection import train_test_split

D = np.loadtxt( 'datos.txt' )

X = D[:,0:2]
y = D[:,2]

# Se separan los datos en datos de entrenamiento
# y datos de prueba

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=2 )

# Las clases [0. 1. 2.]

V = np.array( [[-0.61856916, -0.79241176],
               [ 1.31670781, -0.44554503],
               [-0.69813865,  1.23795679]] )

A0 = np.array( [[0.12430938,  0.2410679,  -0.36537728]] )

n, m = X_prueba.shape

i = 0
while i < n :
	vx = X_prueba[i]  # vx es de tamaño 1x2
	vr = np.dot( V, vx.T ) + A0
	#           3x2 2x1 = 3x1 
	# El valor máximo de correponde a la máxima probabilidad
	# y no calculamos la sigmoide
	k = np.argmax( vr )
	print( y_prueba[i], k )
	i += 1

